%bcond_without python2
%bcond_without python3

Name:           pyyaml
Version:        5.3.1
Release:        4
Summary:        YAML parser and emitter for Python
License:        MIT
URL:            https://github.com/yaml/pyyaml
Source0:        https://github.com/yaml/pyyaml/archive/%{version}.tar.gz
Patch0000:	CVE-2020-14343.patch

BuildRequires:  gcc libyaml-devel

%if %{with python2}
BuildRequires:  python2-devel python2-setuptools python2-Cython
%endif

%if %{with python3}
BuildRequires:  python3-devel python3-setuptools python3-Cython
%endif

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and emitter for
Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle support,
capable extension API, and sensible error messages. PyYAML supports standard
YAML tags and provides Python-specific tags that allow to represent an
arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex configuration
files to object serialization and persistence.

%if %{with python2}
%package -n python2-pyyaml
Summary:        %summary
Provides:       python-yaml = %{version}-%{release}
Provides:       python-yaml%{?_isa} = %{version}-%{release}
Provides:       python2-yaml = %{version}-%{release}
Provides:       python2-yaml%{?_isa} = %{version}-%{release}
%{?python_provide:%python_provide python2-pyyaml}
Provides: PyYAML = %{version}-%{release}
Provides: PyYAML%{?_isa} = %{version}-%{release}
Obsoletes: PyYAML < %{version}-%{release}

%description -n python2-pyyaml
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and emitter for
Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle support,
capable extension API, and sensible error messages. PyYAML supports standard
YAML tags and provides Python-specific tags that allow to represent an
arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex configuration
files to object serialization and persistence.
%endif

%if %{with python3}
%package -n python3-pyyaml
Summary:        %summary
Provides:       python3-yaml = %{version}-%{release}
Provides:       python3-yaml%{?_isa} = %{version}-%{release}
%{?python_provide:%python_provide python3-pyyaml}
Provides:       python3-PyYAML = %{version}-%{release}
Provides:       python3-PyYAML%{?_isa} = %{version}-%{release}
Obsoletes:      python3-PyYAML < 4.1-5

%description -n python3-pyyaml
YAML is a data serialization format designed for human readability and
interaction with scripting languages. PyYAML is a YAML parser and emitter for
Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle support,
capable extension API, and sensible error messages. PyYAML supports standard
YAML tags and provides Python-specific tags that allow to represent an
arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex configuration
files to object serialization and persistence.
%endif

%prep
%setup -q -n %{name}-%{version}
%patch0000 -p1

%build
%if %{with python2}
%py2_build
%endif
%if %{with python3}
%py3_build
%endif

%install
%if %{with python2}
%py2_install
%endif
%if %{with python3}
%py3_install
%endif

%check
%if %{with python2}
%{__python2} setup.py test
%endif
%if %{with python3}
%{__python3} setup.py test
%endif

%if %{with python2}
%files -n python2-pyyaml
%license LICENSE
%doc CHANGES README examples
%{python2_sitearch}/*
%endif

%if %{with python3}
%files -n python3-pyyaml
%license LICENSE
%doc CHANGES README examples
%{python3_sitearch}/*
%endif

%changelog
* Wed Jun 16 2021 zhaomengchao <zhaomengchao3@huawei.com> - 5.3.1-4
- Fix CVE-2020-14343

* Fri Sep 18 2020 liuweibo <liuweibo10@huawei.com> - 5.3.1-3
- Fix Source0 

* Tue Aug 18 2020 Hugel <gengqihu1@huawei.com> - 5.3.1-2
- rebuild for requirement package update

* Fri Apr 24 2020 Bruce <gyl93216@163.com> - 5.3.1-1
* update upstream to 5.3.1

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.1.2-1
- Package init
